var win1 = Titanium.UI.createWindow({  
    title:'Metro MX - Ubicame',
    backgroundColor: '#000'
});

var tTitulo= Ti.UI.createLabel({
	text : 'Ejercicio de Memoria', top:'20%',left:'5%',width:'auto',height:'auto',
    font : {fontFamily:'Marker Felt', fontWeight:'bold'},
});
var bInstrucciones= Ti.UI.createButton({
	title: 'Instrucciones',
	top:'30%',left:'5%',width:'38%',height:'13%'
});
var bIniciar= Ti.UI.createButton({
	title: 'Iniciar',
	top:'30%',left:'45%',width:'24%',height:'13%'
});
var bParar= Ti.UI.createButton({
	title: 'Parar',
	top:'30%',left:'71%',width:'24%',height:'13%'
});

var cInfo= Ti.UI.createTextArea({
	value : '',
    top:'45%',
    left:'5%',
    height :'50%',
    width :'30%',
    
    font : {fontSize:15,fontFamily:'Marker Felt', fontWeight:'bold'},
    color : '#000',
    textAlign : 'center',
    appearance : Titanium.UI.KEYBOARD_APPEARANCE_ALERT, 
    //keyboardType : Titanium.UI.KEYBOARD_NUMBERS_PUNCTUATION,
   // returnKeyType : Titanium.UI.RETURNKEY_EMERGENCY_CALL,
    editable: false,
    borderWidth : 2
    //borderColor : '#bbb',
   // borderRadius : 5	
});

var b1= Ti.UI.createButton({
	top:'45%',left:'36%',width:'19%',height:'15%', backgroundColor: 'white'
});
var b2= Ti.UI.createButton({
	top:'45%',left:'56%',width:'19%',height:'15%', backgroundColor: 'white'
});
var b3= Ti.UI.createButton({
	top:'45%',left:'76%',width:'19%',height:'15%', backgroundColor: 'white'
});
var b4= Ti.UI.createButton({
	top:'62%',left:'36%',width:'19%',height:'15%', backgroundColor: 'white'
});
var b5= Ti.UI.createButton({
	top:'62%',left:'56%',width:'19%',height:'15%', backgroundColor: 'white'
});
var b6= Ti.UI.createButton({
	top:'62%',left:'76%',width:'19%',height:'15%', backgroundColor: 'white'
});
var b7= Ti.UI.createButton({
	top:'79%',left:'36%',width:'19%',height:'15%', backgroundColor: 'white'
});
var b8= Ti.UI.createButton({
	top:'79%',left:'56%',width:'19%',height:'15%', backgroundColor: 'white'
});
var b9= Ti.UI.createButton({
	top:'79%',left:'76%',width:'19%',height:'15%', backgroundColor: 'white'
});

win1.add(bInstrucciones);
win1.add(bIniciar);
win1.add(bParar);
win1.add(cInfo);
win1.add(tTitulo);
win1.add(b1);
win1.add(b2);
win1.add(b3);
win1.add(b4);
win1.add(b5);
win1.add(b6);
win1.add(b7);
win1.add(b8);
win1.add(b9);
win1.open();


bInstrucciones.addEventListener('click',function(e)
{
	alert('EJERCICIO DE MEMORÍA');
});

bParar.addEventListener('click',function(e)
{

});


var numP,sup,inf,rnd;	sup=9;	inf=1;	numP = sup - inf; 	var nivel=1;
var i=0; var secuencia= new Array(50);var tiempo;var error=0; var aleat;
var seguimiento=30; var contador=0;var j=0;
bIniciar.addEventListener('click',function(e)
{
	nivel=1;
	cInfo.value= 'Nivel: '+ nivel;
	juego();
});

function juego()
{
	//nivel=1;
	error=0;
			for(i=0;i<nivel;i++)
			{
			cInfo.value= 'Nivel: '+ nivel;
			tiempo= 1000*(i+1);
			setTimeout(function() {blancos();},tiempo+700);
			setTimeout(function() {despliega();},tiempo);
			}
	
	/*	var aux='';
		for(var w=0;w<nivel;w++)
		{aux= aux+ secuencia[w];}
		alert(aux);
		*/
		nivel=nivel+1;
		contador=0;
		j=0;
		

	
function despliega()
{
	rnd = Math.random() * numP;
	rnd = Math.round(rnd);
	aleat= parseInt(inf) + rnd;
secuencia[j]=aleat;
j=j+1;
blancos();
prende();
}
}


function prende()
{
	if(aleat==1)b1.backgroundColor='#fe2ef7';
	if(aleat==2)b2.backgroundColor='#0000ff';
	if(aleat==3)b3.backgroundColor='#86b404';
	if(aleat==4)b4.backgroundColor='#ff0000';
	if(aleat==5)b5.backgroundColor='#ff8000';
	if(aleat==6)b6.backgroundColor='#298a08';
	if(aleat==7)b7.backgroundColor='#2a1b0a';
	if(aleat==8)b8.backgroundColor='#6a0888';
	if(aleat==9)b9.backgroundColor='#a4a4a4';
}
function blancos()
{	
	b1.backgroundColor='white';
	b2.backgroundColor='white';
	b3.backgroundColor='white';
	b4.backgroundColor='white';
	b5.backgroundColor='white';
	b6.backgroundColor='white';
	b7.backgroundColor='white';
	b8.backgroundColor='white';
	b9.backgroundColor='white';
}
function destello()
{
	setTimeout(function() {blancos();},200);
	setTimeout(function() {prende();},100);
}
b1.addEventListener('click',function(e)
{
	aleat=1;
	destello();
	if(error==0)
	{
		seguimiento=1;
		if(seguimiento== secuencia[contador])
		{}
		else{alert('PENDEJO!!!');cInfo.value= 'Nivel: '+ nivel+'\n PERDISTE';error=1;}
		contador=contador+1;
	}
	if(contador==nivel-1){	juego();}
});

b2.addEventListener('click',function(e)
{
	aleat=2;
	destello();
	if(error==0)
	{
		seguimiento=2;
		if(seguimiento== secuencia[contador])
		{}
		else{alert('PENDEJO!!!');cInfo.value= 'Nivel: '+ nivel+'\n PERDISTE';error=1;}
		contador=contador+1;
	}
	if(contador==nivel-1){	juego();}
});

b3.addEventListener('click',function(e)
{
	aleat=3;
	destello();
	if(error==0)
	{
		seguimiento=3;
		if(seguimiento== secuencia[contador])
		{}
		else{alert('PENDEJO!!!');cInfo.value= 'Nivel: '+ nivel+'\n PERDISTE';error=1;}
		contador=contador+1;
	}
	if(contador==nivel-1){	juego();}
});

b4.addEventListener('click',function(e)
{
	aleat=4;
	destello();
	if(error==0)
	{
		seguimiento=4;
		if(seguimiento== secuencia[contador])
		{}
		else{alert('PENDEJO!!!');cInfo.value= 'Nivel: '+ nivel+'\n PERDISTE';error=1;}
		contador=contador+1;
	}
	if(contador==nivel-1){	juego();}
});

b5.addEventListener('click',function(e)
{
	aleat=5;
	destello();
	if(error==0)
	{
		seguimiento=5;
		if(seguimiento== secuencia[contador])
		{}
		else{alert('PENDEJO!!!');cInfo.value= 'Nivel: '+ nivel+'\n PERDISTE';error=1;}
		contador=contador+1;
	}
	if(contador==nivel-1){	juego();}
});

b6.addEventListener('click',function(e)
{
	aleat=6;
	destello();
	if(error==0)
	{
		seguimiento=6;
		if(seguimiento== secuencia[contador])
		{}
		else{alert('PENDEJO!!!');cInfo.value= 'Nivel: '+ nivel+'\n PERDISTE';error=1;}
		contador=contador+1;
	}
	if(contador==nivel-1){	juego();}
});

b7.addEventListener('click',function(e)
{
	aleat=7;
	destello();
	if(error==0)
	{
		seguimiento=7;
		if(seguimiento== secuencia[contador])
		{}
		else{alert('PENDEJO!!!');cInfo.value= 'Nivel: '+ nivel+'\n PERDISTE';error=1;}
		contador=contador+1;
	}
	if(contador==nivel-1){	juego();}
});

b8.addEventListener('click',function(e)
{
	aleat=8;
	destello();
	if(error==0)
	{
		seguimiento=8;
		if(seguimiento== secuencia[contador])
		{}
		else{alert('PENDEJO!!!');cInfo.value= 'Nivel: '+ nivel+'\n PERDISTE';error=1;}
		contador=contador+1;
	}
	if(contador==nivel-1){	juego();}
});

b9.addEventListener('click',function(e)
{
	aleat=9;
	destello();
	if(error==0)
	{
		seguimiento=9;
		if(seguimiento== secuencia[contador])
		{}
		else{alert('PENDEJO!!!');cInfo.value= 'Nivel: '+ nivel+'\n PERDISTE';error=1;}
		contador=contador+1;
	}
	if(contador==nivel-1){	juego();}
});



